// types/jsx.d.ts
import type { VNode } from 'vue';

declare global {
  namespace JSX {
    interface IntrinsicElements {
      [elemName: string]: any;
    }

    type Element = VNode;
    interface ElementClass {
      render(): VNode;
    }
  }
}

export {};
